# elfSectionHeader Struct Reference

`#include <elf.h>`

## Data Fields

uInt32 | shAddr
uInt32 | shAddralign
uInt32 | shEntsize
uInt32 | shFlags
uInt32 | shInfo
uInt32 | shLink
uInt32 | shName
uInt32 | shOffset
uInt32 | shSize
uInt32 | shType

## Detailed Description

Definition at line 125 of file elf.h.

## Field Documentation

uInt32 elfSectionHeader::shAddr

Definition at line 129 of file elf.h.

uInt32 elfSectionHeader::shAddralign

Definition at line 134 of file elf.h.

uInt32 elfSectionHeader::shEntsize

Definition at line 135 of file elf.h.

uInt32 elfSectionHeader::shFlags

Definition at line 128 of file elf.h.

uInt32 elfSectionHeader::shInfo

Definition at line 133 of file elf.h.

uInt32 elfSectionHeader::shLink

Definition at line 132 of file elf.h.

uInt32 elfSectionHeader::shName

Definition at line 126 of file elf.h.

uInt32 elfSectionHeader::shOffset

Definition at line 130 of file elf.h.

uInt32 elfSectionHeader::shSize

Definition at line 131 of file elf.h.

Referenced by kmod_load(), and ldEnable().

uInt32 elfSectionHeader::shType

Definition at line 127 of file elf.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/elf.h